DistributionNamespace
Date: 2016-06-25

org.osgi.service.remoteserviceadmin.namespace

## Class DistributionNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.service.remoteserviceadmin.namespace.DistributionNamespace

-     public final class DistributionNamespace
      extends org.osgi.resource.Namespace

  Remote Services Distribution Provider Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_CONFIGS_ATTRIBUTE` The capability attribute used to specify the config types supported by this distribution provider.
    `static java.lang.String` | `DISTRIBUTION_NAMESPACE` Namespace name for Remote Services distribution provider capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISTRIBUTION_NAMESPACE

          public static final java.lang.String DISTRIBUTION_NAMESPACE

      Namespace name for Remote Services distribution provider capabilities and requirements.
      See Also:
        Constant Field Values

    - #### CAPABILITY_CONFIGS_ATTRIBUTE

          public static final java.lang.String CAPABILITY_CONFIGS_ATTRIBUTE

      The capability attribute used to specify the config types supported by this distribution provider. The value of this attribute must be of type `String` or `List<String>`.
      See Also:
        Constant Field Values